/* writedata.c -- Writes out two files using the rand() function.  One
 * file is a simple column of data and the second file is a matrix of
 * data*/
#include <stdlib.h>
#include <stdio.h>
/* Declare pointers to the two files */
FILE *fp; 
FILE *kp; 

int main(void){

	double data[10]; 
	int i = 0; 
	int j = 0; 
	srand(14);
/* Open the two files */
	fp = fopen("data.txt","w");
	kp = fopen("data2.txt","w");
	for(i=0;i<10;i++){
		data[i] = ( (double)rand() / ((double)(RAND_MAX)+(double)(1)));
	}

	for(i=0;i<10;i++){
		fprintf(fp, "%7.3f\n", data[i]);
	}
    /* For loops for writing out data[.] in 100 rows of 10 numbers per
     * row */
	for(j=0;j<100;j++)
	{
		for(i=0;i<10;i++)
		{
			data[i] = ( (double)rand() / ((double)(RAND_MAX)+1));
			fprintf(kp, "%7.3f",data[i]);
		}
/* This is the line feed -- newline at the end of the the jth row */
		fprintf(kp,"\n");
	}
	fclose(fp);
	fclose(kp);
	return(0);
}
